from django.contrib.auth import get_user_model

import graphene
import graphql_social_auth
from graphene_django import DjangoObjectType
import logging
logger = logging.getLogger(__name__)


class UserType(DjangoObjectType):

    class Meta:
        model = get_user_model()


class Mutations(graphene.ObjectType):
    social_auth = graphql_social_auth.SocialAuth.Field()
    social_auth_token = graphql_social_auth.SocialAuthJWT.Field()


class Query(graphene.ObjectType):
    users = graphene.List(UserType)
    def resolve_users(self, info, **kwargs):
        logger.error('-------  USER {}'.format(info.context.user))
        

        # Querying a list
        return get_user_model().objects.all()

schema = graphene.Schema(query=Query, mutation=Mutations)